-- SeeCD spec DB
-- v 2.0 Beta
-- Author Granduca


---
local _, L = ...;


---
L.SpecList = {

-- Warrior
	[1464] = "Arms",
	[7384] = "Arms",
	[12328] = "Arms",
	[12294] = "Arms",

	[100130] = "Fury",
	[23881] = "Fury",
	[85288] = "Fury",

	[2565] = "Protection",
	[1160] = "Protection",
	[23922] = "Protection",
	[112048] = "Protection",
	[12975] = "Protection",
	[6572] = "Protection",
	[20243] = "Protection",

-- Rogue
	[32645] = "Assassination",
	[1329] = "Assassination",
	[111240] = "Assassination",
	[79140] = "Assassination",

	[51690] = "Combat",
	[13877] = "Combat",
	[13750] = "Combat",
	[84617] = "Combat",

	[16511] = "Subtlety",
	[51713] = "Subtlety",
	[53] = "Subtlety",
	[14183] = "Subtlety",
	[31223] = "Subtlety",

-- Death Knight
	[48982] = "Blood",
	[49222] = "Blood",
	[55233] = "Blood",
	[49028] = "Blood",
	[55050] = "Blood",
	[56815] = "Blood",

	[49184] = "Frost",
	[51271] = "Frost",
	[49143] = "Frost",
	[49020] = "Frost",

	[49016] = "Unholy",
	[63560] = "Unholy",
	[55090] = "Unholy",
	[49206] = "Unholy",
	[85948] = "Unholy",

-- Druid
	[127663] = "Balance",
	[2912] = "Balance",
	[78674] = "Balance",
	[48505] = "Balance",
	[24858] = "Balance",
	[112071] = "Balance",
	[93402] = "Balance",
	[78675] = "Balance",

	[52610] = "Feral",
	[5221] = "Feral",
	[5217] = "Feral",
	
	[62606] = "Guardian",
	[5229] = "Guardian",
	[102795] = "Guardian",

	[8936] = "Restoration",
	[48438] = "Restoration",
	[18562] = "Restoration",
	[102791] = "Restoration",
	[102342] = "Restoration",
	[33763] = "Restoration",
	[50464] = "Restoration",
	[88423] = "Restoration",

-- Hunter
	[19574] = "Beast_Mastery",
	[34026] = "Beast_Mastery",
	[19577] = "Beast_Mastery",
	[82692] = "Beast_Mastery",

	[19434] = "Marksmanship",
	[53209] = "Marksmanship",

	[53301] = "Survival",
	[3674] = "Survival",

-- Mage
	[31589] = "Arcane",
	[12042] = "Arcane",
	[30451] = "Arcane",
	[5143] = "Arcane",
	[44425] = "Arcane",

	[11129] = "Fire",
	[31661] = "Fire",
	[11366] = "Fire",
	[133] = "Fire",
	[108853] = "Fire",

	[116] = "Frost",
	[84714] = "Frost",
	[31687] = "Frost",
	[12472] = "Frost",

-- Paladin
	[31842] = "Holy",
	[82326] = "Holy",
	[2812] = "Holy",
	[82327] = "Holy",
	[85222] = "Holy",
	[635] = "Holy",
	[54428] = "Holy",
	[53563] = "Holy",
	[20473] = "Holy",

	[119072] = "Protection",
	[26573] = "Protection",
	[31935] = "Protection",
	[31850] = "Protection",
	[53600] = "Protection",

	[85256] = "Retribution",
	[53385] = "Retribution",
	[84963] = "Retribution",
	[121783] = "Retribution",
	[20164] = "Retribution",
	[879] = "Retribution",

-- Priest
	[81700] = "Discipline",
	[89485] = "Discipline",
	[47540] = "Discipline",
	[33206] = "Discipline",
	[62618] = "Discipline",
	[109964] = "Discipline",

	[64843] = "Holy",
	[47788] = "Holy",
	[724] = "Holy",
	[34861] = "Holy",
	[88625] = "Holy",

	[15487] = "Shadow",
	[2944] = "Shadow",
	[8092] = "Shadow",
	[64044] = "Shadow",
	[15473] = "Shadow",
	[15286] = "Shadow",
	[34914] = "Shadow",
	[15407] = "Shadow",

-- Shaman
	[51490] = "Elemental",
	[61882] = "Elemental",
	[51470] = "Elemental",

	[51533] = "Enchancement",
	[60103] = "Enchancement",
	[1535] = "Enchancement",
	[58875] = "Enchancement",
	[17364] = "Enchancement",
	[30823] = "Enchancement",

	[331] = "Restoration",
	[61295] = "Restoration",
	[77472] = "Restoration",
	[77130] = "Restoration",
	[974] = "Restoration",

-- Warlock
	[74434] = "Affliction",
	[1120] = "Affliction",
	[30108] = "Affliction",
	[980] = "Affliction",
	[18223] = "Affliction",
	[103103] = "Affliction",
	[27243] = "Affliction",
	[48181] = "Affliction",
	[86121] = "Affliction",
	[113860] = "Affliction",

	[1949] = "Demonology",
	[109151] = "Demonology",
	[103958] = "Demonology",
	[6353] = "Demonology",
	[105174] = "Demonology",
	[113861] = "Demonology",

	[29722] = "Destruction",
	[348] = "Destruction",
	[108683] = "Destruction",
	[17877] = "Destruction",
	[120451] = "Destruction",
	[17962] = "Destruction",
	[116858] = "Destruction",
	[114635] = "Destruction",
	[80240] = "Destruction",
	[113858] = "Destruction",
}


---
function L.DetectSpecIcon(spec, unit)
	local uClass; _,uClass = UnitClass(unit)
	if not UnitIsPlayer(unit) then return nil end
	if uClass == "WARRIOR" then
		if spec == "Arms" then
			return "Interface\\Icons\\Ability_warrior_savageblow"
		end
		if spec == "Fury" then
			return "Interface\\Icons\\Ability_warrior_innerrage"
		end
		if spec == "Protection" then
			return "Interface\\Icons\\Ability_warrior_defensivestance"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_warrior"
	elseif uClass == "ROGUE" then
		if spec == "Assassination" then
			return "Interface\\Icons\\ability_rogue_shadowstrikes"
		end
		if spec == "Combat" then
			return "Interface\\Icons\\ability_backstab"
		end
		if spec == "Subtlety" then
			return "Interface\\Icons\\ability_stealth"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_rogue"
	elseif uClass == "DEATHKNIGHT" then
		if spec == "Blood" then
			return "Interface\\Icons\\spell_deathknight_bloodpresence"
		end
		if spec == "Frost" then
			return "Interface\\Icons\\spell_deathknight_frostpresence"
		end
		if spec == "Unholy" then
			return "Interface\\Icons\\spell_deathknight_unholypresence"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_deathknight"
	elseif uClass == "DRUID" then
		if spec == "Balance" then
			return "Interface\\Icons\\spell_nature_starfall"
		end
		if spec == "Feral" then
			return "Interface\\Icons\\ability_druid_catform"
		end
		if spec == "Guardian" then
			return "Interface\\Icons\\ability_racial_bearform"
		end
		if spec == "Restoration" then
			return "Interface\\Icons\\spell_nature_healingtouch"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_druid"
	elseif uClass == "HUNTER" then
		if spec == "Beast_Mastery" then
			return "Interface\\Icons\\Ability_hunter_bestialdiscipline"
		end
		if spec == "Marksmanship" then
			return "Interface\\Icons\\Ability_hunter_focusedaim"
		end
		if spec == "Survival" then
			return "Interface\\Icons\\Ability_hunter_camouflage"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_hunter"
	elseif uClass == "MAGE" then
		if spec == "Arcane" then
			return "Interface\\Icons\\spell_holy_magicalsentry"
		end
		if spec == "Fire" then
			return "Interface\\Icons\\spell_fire_firebolt02"
		end
		if spec == "Frost" then
			return "Interface\\Icons\\spell_frost_frostbolt02"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_mage"
	elseif uClass == "PALADIN" then
		if spec == "Holy" then
			return "Interface\\Icons\\spell_holy_holybolt"
		end
		if spec == "Protection" then
			return "Interface\\Icons\\Ability_paladin_shieldofthetemplar"
		end
		if spec == "Retribution" then
			return "Interface\\Icons\\spell_holy_auraoflight"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_paladin"
	elseif uClass == "PRIEST" then
		if spec == "Discipline" then
			return "Interface\\Icons\\spell_holy_powerwordshield"
		end
		if spec == "Holy" then
			return "Interface\\Icons\\spell_holy_guardianspirit"
		end
		if spec == "Shadow" then
			return "Interface\\Icons\\spell_shadow_shadowwordpain"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_priest"
	elseif uClass == "SHAMAN" then
		if spec == "Elemental" then
			return "Interface\\Icons\\spell_nature_lightning"
		end
		if spec == "Enchancement" then
			return "Interface\\Icons\\spell_nature_lightningshield"
		end
		if spec == "Restoration" then
			return "Interface\\Icons\\spell_nature_magicimmunity"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_shaman"
	elseif uClass == "WARLOCK" then
		if spec == "Affliction" then
			return "Interface\\Icons\\spell_shadow_deathcoil"
		end
		if spec == "Demonology" then
			return "Interface\\Icons\\spell_shadow_metamorphosis"
		end
		if spec == "Destruction" then
			return "Interface\\Icons\\spell_shadow_rainoffire"
		end
		return "Interface\\Addons\\SeeCD\\images\\class_warlock"
	end
	return nil
end